#ifndef KartenLeser_H
#define KartenLeser_H

#include "SSDatenbankV.h"
#include "Strukturen.h"

class KartenLeser : public virtual ReferenceCounter
{
private:
	SSDatenbankV* db;
	Text* pfad;
	int karteId;

public:
	// Kontruktor
	KartenLeser(int karteId, SSDatenbankV* db, const char* mapPfad);
	// Destruktor
	~KartenLeser();
	// nicht constant
	bool ladeSpielerTeamStruktur(SpielerTeamStruktur* zSts);
	// constant
	int getKarteId() const;
	Text* getPfad() const;
	Text* zPfad() const;
};

#endif